# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .azure_sku import AzureSku
from msrest.serialization import Model


class WorkspaceCollection(Model):
    """WorkspaceCollection.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :param id: Resource id
    :type id: str
    :param name: Workspace collection name
    :type name: str
    :param type: Resource type
    :type type: str
    :param location: Azure location
    :type location: str
    :param tags:
    :type tags: dict[str, str]
    :ivar sku:
    :vartype sku: ~azure.mgmt.powerbiembedded.models.AzureSku
    :param properties: Properties
    :type properties: object
    """

    _validation = {
        'sku': {'constant': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'location': {'key': 'location', 'type': 'str'},
        'tags': {'key': 'tags', 'type': '{str}'},
        'sku': {'key': 'sku', 'type': 'AzureSku'},
        'properties': {'key': 'properties', 'type': 'object'},
    }

    sku = AzureSku()

    def __init__(self, **kwargs):
        super(WorkspaceCollection, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.name = kwargs.get('name', None)
        self.type = kwargs.get('type', None)
        self.location = kwargs.get('location', None)
        self.tags = kwargs.get('tags', None)
        self.properties = kwargs.get('properties', None)
